services:
  _defaults:
    autowire: true
    autoconfigure: true

  XLite\API\Endpoint\AttributeGroup\Transformer\OutputTransformerInterface: '@XLite\API\Endpoint\AttributeGroup\Transformer\OutputTransformer'
  XLite\API\Endpoint\AttributeGroup\Transformer\OutputTransformer: ~
  XLite\API\Endpoint\AttributeGroup\Transformer\InputTransformerInterface: '@XLite\API\Endpoint\AttributeGroup\Transformer\InputTransformer'
  XLite\API\Endpoint\AttributeGroup\Transformer\InputTransformer: ~

  XLite\API\Endpoint\AttributeGroup\SubExtension\WithProductClassSubExtension:
    tags: [!php/const XLite\API\Extension\ItemSubExtension\ItemSubExtensionInterface::ITEM_SUB_EXTENSION_TAG, !php/const XLite\API\Extension\CollectionSubExtension\CollectionSubExtensionInterface::COLLECTION_SUB_EXTENSION_TAG]

  XLite\API\Endpoint\AttributeGroup\SubExtension\WithoutProductClassSubExtension:
    tags: [!php/const XLite\API\Extension\ItemSubExtension\ItemSubExtensionInterface::ITEM_SUB_EXTENSION_TAG, !php/const XLite\API\Extension\CollectionSubExtension\CollectionSubExtensionInterface::COLLECTION_SUB_EXTENSION_TAG]

  XLite\Controller\API\AttributeGroup\Post:
    tags: ['controller.service_arguments']
